INTERFACE
SUBROUTINE ELARMES(KST,KPROF,KSTABUF,LDSETTLS,PINDX,PINDY,PGMDTX,PGMDTY,&
 & PB1,PB2,&
 & PLSDEPI,PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & KVSEPC,KVSEPL,&
 & PLON,PLAT,PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,PR,PS,PUF,PVF,&
 & KL0,KLH0,PDLO,PCLO,PDLAT,PCLA,KLEV,PDVER,PVINTW,PVINTWS) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWS(NPROMA,NFLEVG,1:4)
END SUBROUTINE ELARMES
END INTERFACE
